org.apache.ignite.internal.util

## Class GridReadOnlyArrayView<T>

- java.lang.Object
- - java.util.AbstractCollection<T>
  - - org.apache.ignite.internal.util.GridReadOnlyArrayView<T>

All Implemented Interfaces:
  Iterable<T>, Collection<T>

    public class GridReadOnlyArrayView<T>
    extends AbstractCollection<T>

Provides read-only collection interface to objects subarray.

### Constructor Summary

Constructors
Constructor and Description
`GridReadOnlyArrayView(T[] arr, int from, int to)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<T>` `iterator()`
`int` `size()`

### Methods inherited from class java.util.AbstractCollection

`add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`equals, hashCode, parallelStream, removeIf, spliterator, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### GridReadOnlyArrayView

    public GridReadOnlyArrayView(T[] arr,
                                 int from,
                                 int to)

Parameters:
  `arr` - Array.
  `from` - Array index view starts from (inclusive).
  `to` - Array index view ends with (exclusive).

### Method Detail

#### size

    public int size()

Specified by:
  `size` in interface `Collection<T>`
Specified by:
  `size` in class `AbstractCollection<T>`

#### iterator

    public Iterator<T> iterator()

Specified by:
  `iterator` in interface `Iterable<T>`
Specified by:
  `iterator` in interface `Collection<T>`
Specified by:
  `iterator` in class `AbstractCollection<T>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020